#!/bin/bash

for i in {01..50}
do
	if (( 10#$i <= 10 )); then
		N=10
	elif (( 10#$i <= 20 )); then
		N=100
	elif (( 10#$i <= 30 )); then
		N=1000
	elif (( 10#$i <= 40 )); then
		N=10000
	else
		N=100000
	fi
	
	if (( 10#$i <= 20 )); then
		G=80
	else
		G=99
	fi
	
    python3 testgen.py -n $N -g $G -s $i > "../tests/test.${i}.in"
    
    echo "Generated test case: file_${i}.in (Seed: $i)"
done

echo "Done generating 50 test files!"
